from enum import Enum


class ReputationTags(Enum):
    CB_HIGH_THREAT = 0
    CB_HIGH_TRUST = 1
    CB_PUP = 2
    CB_SCORES_INCONCLUSIVE = 3
    SUSPECT_FROM_POSITIVES = 4
    COMMON_WHITE_CRITERIA_MET = 5
    DEFINITIVE_BEFORE_MFG = 6
    MFG_DATA_EVALUATED = 7
    MFG_PUP = 8
    MFG_SUSPECT = 9
    MFG_NO_CONVICTION = 10
    APC_DATA_EVALUATED = 11
    APC_UNREADY = 12
    APC_UNKNOWN = 13
    APC_AVIRA_ALREADY_IN_MFG = 14
    APC_PUP = 15
    APC_SUSPECT_TO_KNOWN = 16
    APC_SUSPECT = 17
    APC_USED = 18
    APC_UNUSED = 19
    APC_MALICIOUS = 20
    MFG_AVIRA_CONVICTION = 21
    MFG_LOCKED = 22
    ROENTGEN_EVALUATED = 23
    ROENTGEN_USED = 24
    ROENTGEN_UNUSED = 25
    ROENTGEN_SUSPECT = 26
    ROENTGEN_SUSPECT_TO_KNOWN = 27
    US_CERT_MALWARE = 28
